<h2 class="text-center mb-4">List of Servers</h2>

<div *ngIf="isLoading" [@fadeInOut] class="loading mt-5" style="--n: 5;">
    <div class="dot" style="--i: 0;"></div>
    <div class="dot" style="--i: 1;"></div>
    <div class="dot" style="--i: 2;"></div>
    <div class="dot" style="--i: 3;"></div>
    <div class="dot" style="--i: 4;"></div>
</div>
<div *ngIf="!isLoading" [@fadeInOut]>
    <table *ngIf="filteredServers.length > 0" class="table table-responsive table-striped server-list">
        <tr>
            <th>Model</th>
            <th>RAM</th>
            <th>HDD</th>
            <th>Location</th>
            <th>Price</th>
        </tr>
        <tbody>
        <tr *ngFor="let server of filteredServers">
            <td><strong>{{ server.model }}</strong> </td>
            <td>{{ server.ram.memory }} - {{ server.ram.unit }} - {{ server.ram.type }}</td>
            <td>{{ server.hdd.count }}x{{ server.hdd.memory }} {{ server.hdd.unit }} - {{ server.hdd.type }}</td>
            <td>{{ server.location }}</td>
            <td class="no-white-space">{{ server.price.amountCents }}  {{ server.price.currencySymbol }}</td>
        </tr>
        </tbody>
    </table>

    <div *ngIf="filteredServers.length === 0" class="alert alert-dark" role="alert">
        No Result
    </div>
</div>

